"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
/**
 * Internal class to handle retrieving orderbook snapshots via the REST API.
 */
class SnapshotRetriever {
    constructor(marketSymbol, restClient) {
        this.restClient = restClient;
        this.marketSymbol = marketSymbol;
    }
    getOrderBookSnapshot() {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            return yield this.restClient.getOrderBookSnapshot(this.marketSymbol.exchange, this.marketSymbol.base + this.marketSymbol.quote);
        });
    }
}
exports.SnapshotRetriever = SnapshotRetriever;
//# sourceMappingURL=SnapshotRetriever.js.map