/// <reference types="long" />
import { DeltaItem, PublicOrder, OrderBookSnapshot } from './types/shared';
import { OrderBookSnapshotRaw } from '../rest/types/data';
export declare function guardIsLong(value: number | Long): value is Long;
export declare function getNumber(n: number | Long): number;
export declare function getString(n: number | Long): string;
export declare function getDateFromSecs(n: number | Long): Date;
export declare function getDateFromMs(n: number | Long): Date;
export declare function getDateFromNs(n: number | Long): Date;
export declare function symbolString(s: symbol): string;
export declare function transformSnapshot(orderBook: OrderBookSnapshotRaw): OrderBookSnapshot;
export declare function sortDeltaItems(i: DeltaItem, j: DeltaItem, reverse?: boolean): number;
export declare function binarySearchOrders(orders: PublicOrder[], price: string, startIndex: number, reverse?: boolean): {
    exists: boolean;
    index: number;
};
