export interface OrderBookSnapshot {
    seqNum: number;
    bids: PublicOrder[];
    asks: PublicOrder[];
}
export declare type OrderBookState = {
    inSync: boolean;
    seqNum: number;
    minDeltaNum: number;
    maxDeltaNum: number;
};
export interface OrderBookDelta {
    seqNum: number;
    bids: OrderDeltas;
    asks: OrderDeltas;
}
export interface OrderDeltas {
    set: PublicOrder[];
    remove: string[];
}
export interface PublicOrder {
    price: string;
    amount: string;
}
export declare type Instrument = {
    id: number;
    base: Asset;
    quote: Asset;
};
export declare type Exchange = {
    id: number;
    symbol: string;
};
export declare type Market = {
    id: number;
    exchange: Exchange;
    instrument: Instrument;
};
export declare type Asset = {
    id: number;
    symbol: string;
};
export declare type DeltaItem = {
    action: 'set' | 'remove';
    order: PublicOrder;
    index: number;
    overridden: boolean;
};
export declare type MarketSymbol = {
    exchange: string;
    base: string;
    quote: string;
};
export declare type MarketSelector = MarketSymbol | number;
