/// <reference types="node" />
import { EventEmitter } from 'events';
import { TradeSubscription } from './types/client';
declare type Module = 'initialize' | 'orderUpdates' | 'tradeUpdates' | 'positionUpdates';
/**
 * This class is used to keep trading sessions organized, and emit a ready status when the client
 * can trade.
 */
export default class SessionTracker extends EventEmitter {
    private ready;
    private sessions;
    constructor(tradeSubs: TradeSubscription[]);
    isReady(): boolean;
    setModuleReady(mID: number, m: Module): void;
    isModuleReady(mID: number, m: Module): boolean;
    reset(): void;
    private modulesReady;
}
export {};
