import { StreamOpts } from './types/client';
import { MarketUpdate } from './types/markets';
import { PairUpdate } from './types/pairs';
import WebSocketClient from './WebSocketClient';
export declare class StreamClient extends WebSocketClient {
    constructor(opts: Partial<StreamOpts>);
    subscribe(keys: string[]): void;
    unsubscribe(keys: string[]): void;
    onPairUpdate(fn: (m: PairUpdate) => void): void;
    onMarketUpdate(fn: (m: MarketUpdate) => void): void;
    private streamMessageHandler;
    private subscriptionResultHandler;
    private unsubscriptionResultHandler;
}
