"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const proto_1 = require("../modules/proto");
function keyFromClientSubscription(sub) {
    if (sub.streamSubscription && sub.streamSubscription.resource) {
        return sub.streamSubscription.resource;
    }
    if (sub.tradeSubscription && sub.tradeSubscription.marketId) {
        return sub.tradeSubscription.marketId;
    }
    return null;
}
function subscriptionResultFromProto(subResult) {
    if (subResult.failed === null && subResult.subscriptions === null) {
        return null;
    }
    const subscriptions = [];
    const failed = [];
    if (subResult.failed instanceof Array) {
        subResult.failed.forEach((e) => {
            if (typeof e.error !== 'string' ||
                !(e.subscription instanceof proto_1.ProtobufClient.ClientSubscription)) {
                return null;
            }
            const sub = keyFromClientSubscription(e.subscription);
            if (sub === null) {
                return null;
            }
            failed.push({
                error: e.error,
                subscription: sub
            });
        });
    }
    return {
        subscriptions,
        failed
    };
}
exports.subscriptionResultFromProto = subscriptionResultFromProto;
//# sourceMappingURL=subscriptionResultFromProto.js.map