"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const proto_1 = require("../modules/proto");
function tradeSubscriptionToProto(tradeSubscription) {
    let auth = null;
    if (tradeSubscription.auth) {
        auth = proto_1.ProtobufClient.TradeSessionAuth.create({
            apiKey: tradeSubscription.auth.apiKey,
            apiSecret: tradeSubscription.auth.apiSecret,
            customerId: tradeSubscription.auth.customerID,
            keyPassphrase: tradeSubscription.auth.keyPassphrase
        });
    }
    return proto_1.ProtobufClient.ClientSubscription.create({
        tradeSubscription: proto_1.ProtobufClient.TradeSubscription.create({
            marketId: String(tradeSubscription.marketID),
            auth
        })
    });
}
exports.tradeSubscriptionToProto = tradeSubscriptionToProto;
//# sourceMappingURL=tradeSubscriptionToProto.js.map