import { LogLevel } from '../../util/logger';
import { Credentials } from '../../util/types/credentials';
export interface WebSocketOpts {
    creds: Credentials;
    reconnect: ReconnectOpts;
    logLevel?: LogLevel;
    nonce?: string;
}
export interface ReconnectOpts {
    enabled: boolean;
    backoff: boolean;
    timeout: number;
    maxTimeout: number;
}
export interface StreamOpts extends WebSocketOpts {
    subscriptions?: string[];
}
export interface TradeOpts extends WebSocketOpts {
    tradeSubscriptions: TradeSubscription[];
}
export interface TradeSubscription {
    marketID: number;
    auth?: TradeSessionAuth;
}
export interface TradeSessionAuth {
    apiKey: string;
    apiSecret: string;
    customerID?: string;
    keyPassphrase?: string;
}
export interface SubscriptionResult {
    subscriptions: string[];
    failed: SubscriptionError[];
}
export interface SubscriptionError {
    subscription: string;
    error: string;
}
